
Redmine - Defect #12845

TypeError (can't convert Hash into Array) On Issue Creation

2013-01-14 17:06 - Ken Ip

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.1.6

Description

On creating issues I see TypeError (can't convert Hash into Array). By looking at the params below can you guys see anything

wrong?

Started POST "/projects/my-issues/issues" for 0.0.0.0 at 2013-01-14 16:01:06 +0000

Processing by IssuesController#create as HTML

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"4ny+VYB8S3gyJXjrhWRGVS5Ue5Fc9tk2/cW0v+Jql74=", 

"issue"=>{"is_private"=>"0", "tracker_id"=>"2", "subject"=>"Create Issue", "description"=>"Create 

Issue", "status_id"=>"5", "priority_id"=>"4", "assigned_to_id"=>"76", "fixed_version_id"=>"", "par

ent_issue_id"=>"5911", "start_date"=>"2013-01-14", "due_date"=>"2013-01-14", "estimated_hours"=>""

, "done_ratio"=>"0", "custom_field_values"=>{"15"=>""}}, "attachments"=>{"1"=>{"description"=>""}}

, "commit"=>"Create", "project_id"=>"my-issues"}  Current user: ken@testissues.com (id=108)

  Rendered mailer/_issue.text.erb (0.8ms)

  Rendered mailer/issue_add.text.erb within layouts/mailer (2.3ms)

  Rendered mailer/_issue.html.erb (1.6ms)

  Rendered mailer/issue_add.html.erb within layouts/mailer (2.3ms)

Completed 500 Internal Server Error in 675ms

TypeError (can't convert Hash into Array):

  app/controllers/issues_controller.rb:137:in `create'

History

#1 - 2013-01-14 17:07 - Ken Ip

Forgot to mention that this ONLY happens when a parent task is included.

#2 - 2013-01-15 03:38 - Toshi MARUYAMA

- Category set to Issues

#3 - 2013-01-19 20:10 - Etienne Massip

What your env looks like, do you have plugins installed? Please check SubmittingBugs.

#4 - 2013-02-01 22:37 - Ken Ip

- Status changed from New to Resolved

Sorry about that! Definitely backlogs issue. Fixed in backlogs v0.9.32.

#5 - 2013-02-02 02:19 - Toshi MARUYAMA

- Status changed from Resolved to Closed

Thank you for your feedback.
